Open CASCADE Technology: ShapeCustom_Curve2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
ShapeCustom_Curve2d Class Reference

Converts curve2d to analytical form with given precision or simpify curve2d. More...

`#include <ShapeCustom_Curve2d.hxx>`

## Static Public Member Functions
static Standard_Boolean | IsLinear (const TColgp_Array1OfPnt2d &thePoles, const Standard_Real theTolerance, Standard_Real &theDeviation)
| Check if poleses is in the plane with given precision Returns false if no. More...
static Handle< Geom2d_Line > | ConvertToLine2d (const Handle< Geom2d_Curve > &theCurve, const Standard_Real theFirstIn, const Standard_Real theLastIn, const Standard_Real theTolerance, Standard_Real &theNewFirst, Standard_Real &theNewLast, Standard_Real &theDeviation)
| Try to convert BSpline2d or Bezier2d to line 2d only if it is linear. Recalculate first and last parameters. Returns line2d or null curve2d. More...
static Standard_Boolean | SimplifyBSpline2d (Handle< Geom2d_BSplineCurve > &theBSpline2d, const Standard_Real theTolerance)
| Try to remove knots from bspline where local derivatives are the same. Remove knots with given precision. Returns false if Bsplien was not modified. More...

## Detailed Description

Converts curve2d to analytical form with given precision or simpify curve2d.

## Member Function Documentation

static Handle< Geom2d_Line > ShapeCustom_Curve2d::ConvertToLine2d | ( | const Handle< Geom2d_Curve > & | theCurve,
|  | const Standard_Real | theFirstIn,
|  | const Standard_Real | theLastIn,
|  | const Standard_Real | theTolerance,
|  | Standard_Real & | theNewFirst,
|  | Standard_Real & | theNewLast,
|  | Standard_Real & | theDeviation
| ) |  |
| static

Try to convert BSpline2d or Bezier2d to line 2d only if it is linear. Recalculate first and last parameters. Returns line2d or null curve2d.

static Standard_Boolean ShapeCustom_Curve2d::IsLinear | ( | const TColgp_Array1OfPnt2d & | thePoles,
|  | const Standard_Real | theTolerance,
|  | Standard_Real & | theDeviation
| ) |  |
| static

Check if poleses is in the plane with given precision Returns false if no.

static Standard_Boolean ShapeCustom_Curve2d::SimplifyBSpline2d | ( | Handle< Geom2d_BSplineCurve > & | theBSpline2d,
|  | const Standard_Real | theTolerance
| ) |  |
| static

Try to remove knots from bspline where local derivatives are the same. Remove knots with given precision. Returns false if Bsplien was not modified.

The documentation for this class was generated from the following file:

- ShapeCustom_Curve2d.hxx